Subject: Re: linux-next: build warning after merge of the pinctrl tree

From: Geert Uytterhoeven <[email-masked]>
Date: Fri, 30 Jun 2017 08:59:37 +0200

Hi Stephen,

On Fri, Jun 30, 2017 at 6:56 AM, Stephen Rothwell <[email-masked]> wrote:
> After merging the pinctrl tree, today's linux-next build (x86_64
> allmodconfig) produced this warning:
>
> drivers/pinctrl/pinctrl-rza1.c: In function 'rza1_pinctrl_probe':
> drivers/pinctrl/pinctrl-rza1.c:1260:5: warning: 'ret' may be used uninitialized in this function [-Wmaybe-uninitialized]
>   if (ret)
>      ^
>
> Introduced by commit
>
>   5a49b644b307 ("pinctrl: Renesas RZ/A1 pin and gpio controller")

Doh, 0day doesn't use compilers that report uninitialized variables?
Patch sent.

Thanks for reporting!

Gr{oetje,eeting}s,

                        Geert

--
Geert Uytterhoeven -- There's lots of Linux beyond ia32 -- [email-masked]

In personal conversations with technical people, I call myself a hacker. But
when I'm talking to journalists I just say "programmer" or something like that.
                                -- Linus Torvalds